#!/bin/bash

SETUP_INSTALLPATH=$1
ZWCADBINARY_FILE="ZWCAD"
TITLE="ZWCAD"
STARTFILE="$SETUP_INSTALLPATH/ZWCADRUN.sh"
DESKTOPFILE="$SETUP_INSTALLPATH/Ribbonsoft-ZWCADViewer.desktop"
MIMEFILE="$SETUP_INSTALLPATH/ZWCAD-mimetypes.xml"

cat >$DESKTOPFILE <<EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=ZWCAD Viewer
GenericName=CAD Software
Comment=Read DWG and DXF files.
Exec="$STARTFILE" %F
Terminal=false
MultipleArgs=true
Type=Application
Icon=$SETUP_INSTALLPATH/ZWCAD.png
Categories=Application;Graphics;VectorGraphics;Engineering;Construction;2DGraphics;
MimeType=application/dxf;application/dwg

EOF

cat >$MIMEFILE <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="image/vnd.dxf">
    <comment xml:lang="en">CAD Drawing</comment>
    <glob pattern="*.dxf"/>
  </mime-type>
  <mime-type type="application/dxf">
    <comment xml:lang="en">CAD Drawing</comment>
    <glob pattern="*.dxf"/>
  </mime-type>
  <mime-type type="application/dwg">
    <comment xml:lang="en">CAD Drawing</comment>
    <glob pattern="*.dwg"/>
  </mime-type>
  <mime-type type="image/vnd.dwg">
    <comment xml:lang="en">CAD Drawing</comment>
    <glob pattern="*.dwg"/>
  </mime-type>
  <mime-type type="image/x-dwg">
    <comment xml:lang="en">CAD Drawing</comment>
    <glob pattern="*.dwg"/>
  </mime-type>
</mime-info>

EOF

chmod a+rx $DESKTOPFILE
TMPPATH="$PATH"
PATH="$PATH:$SETUP_INSTALLPATH/xdg"
chmod a+rx $SETUP_INSTALLPATH/xdg/xdg-mime
chmod a+rx $SETUP_INSTALLPATH/xdg/xdg-desktop-menu
chmod a+rx $SETUP_INSTALLPATH/xdg/xdg-desktop-icon
chmod a+rx $SETUP_INSTALLPATH/xdg/xdg-icon-resource

echo "Installing Mimetypes..."
xdg-mime install "$MIMEFILE"
echo "Installing Mimetypes icons..."
xdg-icon-resource install --context mimetypes --size 128 $SETUP_INSTALLPATH/ZWCAD-dxf.png application-dxf
xdg-icon-resource install --context mimetypes --size 128 $SETUP_INSTALLPATH/ZWCAD-dwg.png application-dwg
xdg-icon-resource install --context mimetypes --size 128 $SETUP_INSTALLPATH/ZWCAD-dxf.png image-vnd.dxf
xdg-icon-resource install --context mimetypes --size 128 $SETUP_INSTALLPATH/ZWCAD-dwg.png image-vnd.dwg
echo "Installing desktop menu entries..."
xdg-desktop-menu install $DESKTOPFILE
xdg-desktop-icon install $DESKTOPFILE
PATH="$TMPPATH"
