#!/bin/bash

SETUP_INSTALLPATH="$HOME/ZWCADViewer"
ZWCAD_BIN="ZWCAD Viewer"
ZWCAD_RUNSCRIPT=ZWCADRUN.sh

echo "ZWCAD Viewer Setup..."

echo "Making dir $SETUP_INSTALLPATH..."
mkdir -v -p $SETUP_INSTALLPATH

echo "Coping files..."

cp "ZWCAD Viewer" $SETUP_INSTALLPATH
cp $ZWCAD_RUNSCRIPT $SETUP_INSTALLPATH
cp *.so $SETUP_INSTALLPATH
cp lib* $SETUP_INSTALLPATH
cp Uninst.sh $SETUP_INSTALLPATH
cp ZWCAD.png $SETUP_INSTALLPATH
cp ZWCAD-dxf.png $SETUP_INSTALLPATH
cp ZWCAD-dwg.png $SETUP_INSTALLPATH
cp ZWCAD-dwt.png $SETUP_INSTALLPATH
cp -r en-US platforms Support UserDataCache xdg Settings $SETUP_INSTALLPATH

echo "Invoking ZWCADINSTALL.sh"
./ZWCADINSTALL.sh $SETUP_INSTALLPATH $1

cd $SETUP_INSTALLPATH
ln -s libEnginio.so.1.1.0 libEnginio.so.1.1
ln -s libEnginio.so.1.1.0 libEnginio.so.1
ln -s libEnginio.so.1.1.0 libEnginio.so
ln -s libicudata.so.53.1 libicudata.so.53
ln -s libicui18n.so.53.1 libicui18n.so.53
ln -s libicuio.so.53.1 libicuio.so.53
ln -s libicule.so.53.1 libicule.so.53
ln -s libiculx.so.53.1 libiculx.so.53.
ln -s libicutest.so.53.1 libicutest.so.53
ln -s libicutu.so.53.1 libicutu.so.53
ln -s libicuuc.so.53.1 libicuuc.so.53
ln -s libqgsttools_p.so.1.0.0 libqgsttools_p.so.1.0
ln -s libqgsttools_p.so.1.0.0 libqgsttools_p.so.1
ln -s libqgsttools_p.so.1.0.0 libqgsttools_p.so
ln -s libQt5Bluetooth.so.5.4.0 libQt5Bluetooth.so.5.4
ln -s libQt5Bluetooth.so.5.4.0 libQt5Bluetooth.so.5
ln -s libQt5Bluetooth.so.5.4.0 libQt5Bluetooth.so
ln -s libQt5CLucene.so.5.4.0 libQt5CLucene.so.5.4
ln -s libQt5CLucene.so.5.4.0 libQt5CLucene.so.5
ln -s libQt5CLucene.so.5.4.0 libQt5CLucene.so
ln -s libQt5Concurrent.so.5.4.0 libQt5Concurrent.so.5.4
ln -s libQt5Concurrent.so.5.4.0 libQt5Concurrent.so.5
ln -s libQt5Concurrent.so.5.4.0 libQt5Concurrent.so
ln -s libQt5Core.so.5.4.0 libQt5Core.so.5.4
ln -s libQt5Core.so.5.4.0 libQt5Core.so.5
ln -s libQt5Core.so.5.4.0 libQt5Core.so
ln -s libQt5DBus.so.5.4.0 libQt5DBus.so.5.4
ln -s libQt5DBus.so.5.4.0 libQt5DBus.so.5
ln -s libQt5DBus.so.5.4.0 libQt5DBus.so
ln -s libQt5Declarative.so.5.4.0 libQt5Declarative.so.5.4
ln -s libQt5Declarative.so.5.4.0 libQt5Declarative.so.5
ln -s libQt5Declarative.so.5.4.0 libQt5Declarative.so
ln -s libQt5Designer.so.5.4.0 libQt5Designer.so.5.4
ln -s libQt5Designer.so.5.4.0 libQt5Designer.so.5
ln -s libQt5Designer.so.5.4.0 libQt5Designer.so
ln -s libQt5DesignerComponents.so.5.4.0 libQt5DesignerComponents.so.5.4
ln -s libQt5DesignerComponents.so.5.4.0 libQt5DesignerComponents.so.5
ln -s libQt5DesignerComponents.so.5.4.0 libQt5DesignerComponents.so
ln -s libQt5Gui.so.5.4.0 libQt5Gui.so.5.4
ln -s libQt5Gui.so.5.4.0 libQt5Gui.so.5
ln -s libQt5Gui.so.5.4.0 libQt5Gui.so
ln -s libQt5Help.so.5.4.0 libQt5Help.so.5.4
ln -s libQt5Help.so.5.4.0 libQt5Help.so.5
ln -s libQt5Help.so.5.4.0 libQt5Help.so
ln -s libQt5Location.so.5.4.0 libQt5Location.so.5.4
ln -s libQt5Location.so.5.4.0 libQt5Location.so.5
ln -s libQt5Location.so.5.4.0 libQt5Location.so
ln -s libQt5Multimedia.so.5.4.0 libQt5Multimedia.so.5.4
ln -s libQt5Multimedia.so.5.4.0 libQt5Multimedia.so.5
ln -s libQt5Multimedia.so.5.4.0 libQt5Multimedia.so
ln -s libQt5MultimediaQuick_p.so.5.4.0 libQt5MultimediaQuick_p.so.5.4
ln -s libQt5MultimediaQuick_p.so.5.4.0 libQt5MultimediaQuick_p.so.5
ln -s libQt5MultimediaQuick_p.so.5.4.0 libQt5MultimediaQuick_p.so
ln -s libQt5MultimediaWidgets.so.5.4.0 libQt5MultimediaWidgets.so.5.4
ln -s libQt5MultimediaWidgets.so.5.4.0 libQt5MultimediaWidgets.so.5
ln -s libQt5MultimediaWidgets.so.5.4.0 libQt5MultimediaWidgets.so
ln -s libQt5Network.so.5.4.0 libQt5Network.so.5.4
ln -s libQt5Network.so.5.4.0 libQt5Network.so.5
ln -s libQt5Network.so.5.4.0 libQt5Network.so
ln -s libQt5Nfc.so.5.4.0 libQt5Nfc.so.5.4
ln -s libQt5Nfc.so.5.4.0 libQt5Nfc.so.5
ln -s libQt5Nfc.so.5.4.0 libQt5Nfc.so
ln -s libQt5OpenGL.so.5.4.0 libQt5OpenGL.so.5.4
ln -s libQt5OpenGL.so.5.4.0 libQt5OpenGL.so.5
ln -s libQt5OpenGL.so.5.4.0 libQt5OpenGL.so
ln -s libQt5Positioning.so.5.4.0 libQt5Positioning.so.5.4
ln -s libQt5Positioning.so.5.4.0 libQt5Positioning.so.5
ln -s libQt5Positioning.so.5.4.0 libQt5Positioning.so
ln -s libQt5PrintSupport.so.5.4.0 libQt5PrintSupport.so.5.4
ln -s libQt5PrintSupport.so.5.4.0 libQt5PrintSupport.so.5
ln -s libQt5PrintSupport.so.5.4.0 libQt5PrintSupport.so
ln -s libQt5Qml.so.5.4.0 libQt5Qml.so.5.4
ln -s libQt5Qml.so.5.4.0 libQt5Qml.so.5
ln -s libQt5Qml.so.5.4.0 libQt5Qml.so
ln -s libQt5Quick.so.5.4.0 libQt5Quick.so.5.4
ln -s libQt5Quick.so.5.4.0 libQt5Quick.so.5
ln -s libQt5Quick.so.5.4.0 libQt5Quick.so
ln -s libQt5QuickParticles.so.5.4.0 libQt5QuickParticles.so.5.4
ln -s libQt5QuickParticles.so.5.4.0 libQt5QuickParticles.so.5
ln -s libQt5QuickParticles.so.5.4.0 libQt5QuickParticles.so
ln -s libQt5QuickTest.so.5.4.0 libQt5QuickTest.so.5.4
ln -s libQt5QuickTest.so.5.4.0 libQt5QuickTest.so.5
ln -s libQt5QuickTest.so.5.4.0 libQt5QuickTest.so
ln -s libQt5QuickWidgets.so.5.4.0 libQt5QuickWidgets.so.5.4
ln -s libQt5QuickWidgets.so.5.4.0 libQt5QuickWidgets.so.5
ln -s libQt5QuickWidgets.so.5.4.0 libQt5QuickWidgets.so
ln -s libQt5Script.so.5.4.0 libQt5Script.so.5.4
ln -s libQt5Script.so.5.4.0 libQt5Script.so.5
ln -s libQt5Script.so.5.4.0 libQt5Script.so
ln -s libQt5ScriptTools.so.5.4.0 libQt5ScriptTools.so.5.4
ln -s libQt5ScriptTools.so.5.4.0 libQt5ScriptTools.so.5
ln -s libQt5ScriptTools.so.5.4.0 libQt5ScriptTools.so
ln -s libQt5Sensors.so.5.4.0 libQt5Sensors.so.5.4
ln -s libQt5Sensors.so.5.4.0 libQt5Sensors.so.5
ln -s libQt5Sensors.so.5.4.0 libQt5Sensors.so
ln -s libQt5SerialPort.so.5.4.0 libQt5SerialPort.so.5.4
ln -s libQt5SerialPort.so.5.4.0 libQt5SerialPort.so.5
ln -s libQt5SerialPort.so.5.4.0 libQt5SerialPort.so
ln -s libQt5Sql.so.5.4.0 libQt5Sql.so.5.4
ln -s libQt5Sql.so.5.4.0 libQt5Sql.so.5
ln -s libQt5Sql.so.5.4.0 libQt5Sql.so
ln -s libQt5Widgets.so.5.4.0 libQt5Widgets.so.5.4
ln -s libQt5Widgets.so.5.4.0 libQt5Widgets.so.5
ln -s libQt5Widgets.so.5.4.0 libQt5Widgets.so
ln -s libQt5X11Extras.so.5.4.0 libQt5X11Extras.so.5.4
ln -s libQt5X11Extras.so.5.4.0 libQt5X11Extras.so.5
ln -s libQt5X11Extras.so.5.4.0 libQt5X11Extras.so
ln -s libQt5Xml.so.5.4.0 libQt5Xml.so.5.4
ln -s libQt5Xml.so.5.4.0 libQt5Xml.so.5
ln -s libQt5Xml.so.5.4.0 libQt5Xml.so

echo "ZWCAD Viewer Setup finished..."
